Naar hoofdinhoud gaan
GET
/
v1
/
monitors
Lijst Monitors
curl --request GET \
  --url https://api.olostep.com/v1/monitors \
  --header 'Authorization: Bearer <token>'
{
  "monitors": [
    {
      "team_id": "<string>",
      "monitor_id": "<string>",
      "status": "<string>",
      "agent_id": "<string>",
      "fda_id": "<string>",
      "schedule_id": "<string>",
      "schedule_name": "<string>",
      "query": "<string>",
      "url": "<string>",
      "frequency": "hourly",
      "cron_expression": "<string>",
      "notification_channel": "email",
      "notification_target": "<string>",
      "metadata": {},
      "error_message": "<string>",
      "created_at": 123,
      "updated_at": 123
    }
  ],
  "count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.olostep.com/llms.txt

Use this file to discover all available pages before exploring further.

Autorisaties

Authorization
string
header
vereist

Bearer authenticatie header in de vorm van Bearer , waarbij jouw auth token is.

Queryparameters

include_deleted
enum<string>
standaard:false

Stel in op true om verwijderde monitors op te nemen.

Beschikbare opties:
true,
false

Respons

Succesvolle reactie met lijst van monitors.

monitors
object[]
count
integer